package com.ruoyi.system.domain.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.util.Date;

public class AlarmStatusListDto {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    private Long id;
    /**
     * 姓名
     */
    private String name;

    /**
     * 设备id
     */
    @Excel(name = "设备id")
    private Integer facilityId;
    /**
     * ID
     */
    private String device_id_code;

    /**
     * 时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createtime;

    /**
     * 类型
     */
    private Integer alarm_type;

    /**
     * 类型
     */
    private String alarm_msg;
    /**
     * 位置
     */
    private String location;
    /**
     * 精度
     */
    private Double use_gps_long;
    /**
     * 维度
     */
    private Double use_gps_lat;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDevice_id_code() {
        return device_id_code;
    }

    public void setDevice_id_code(String device_id_code) {
        this.device_id_code = device_id_code;
    }

    public Integer getFacilityId() {
        return facilityId;
    }

    public void setFacilityId(Integer facilityId) {
        this.facilityId = facilityId;
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Integer getAlarm_type() {
        return alarm_type;
    }

    public void setAlarm_type(Integer alarm_type) {
        this.alarm_type = alarm_type;
    }

    public String getAlarm_msg() {
        return alarm_msg;
    }

    public void setAlarm_msg(String alarm_msg) {
        this.alarm_msg = alarm_msg;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public Double getUse_gps_long() {
        return use_gps_long;
    }

    public void setUse_gps_long(Double use_gps_long) {
        this.use_gps_long = use_gps_long;
    }

    public Double getUse_gps_lat() {
        return use_gps_lat;
    }

    public void setUse_gps_lat(Double use_gps_lat) {
        this.use_gps_lat = use_gps_lat;
    }
}
